/*
 * Copyright (C) 1997-2005, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */
/*
 * $Id: rmvdefs.h,v 1.5 2005/02/19 16:48:01 wes Exp $
 * $Revision: 1.5 $
 * Version: $Name: OpenRM-1-6-0-2-RC2 $
 * $Log: rmvdefs.h,v $
 * Revision 1.5  2005/02/19 16:48:01  wes
 * Distro sync and consolidation.
 *
 * Revision 1.4  2005/01/23 17:17:02  wes
 * Copyright update to 2005.
 *
 * Revision 1.3  2004/01/17 04:06:42  wes
 * Updated Copyright line for 2004.
 *
 * Revision 1.2  2003/02/02 02:07:14  wes
 * Updated copyright to 2003.
 *
 * Revision 1.1.1.1  2003/01/28 02:15:23  wes
 * Manual rebuild of rm150 repository.
 *
 * Revision 1.1  2003/01/16 21:53:42  wes
 * Moved rmv*.h files from include/rmv to their new home in include/rm.
 *
 * Revision 1.4  2002/04/30 19:40:54  wes
 * Updated copyright dates.
 *
 * Revision 1.3  2000/04/20 17:41:49  wes
 * Minor CVS tag changes.
 *
 * Revision 1.2  2000/04/20 16:30:26  wes
 * Added copyright info.
 *
 * Revision 1.1.1.1  2000/02/28 21:29:40  wes
 * OpenRM 1.2 Checkin
 *
 * Revision 1.1.1.1  2000/02/28 17:18:48  wes
 * Initial entry - pre-RM120 release, source base for OpenRM 1.2.
 *
 */

#ifndef _rmvdefs_h
#define _rmvdefs_h

#define RMV_DEFAULT_ARROW_NBARBS 4	/* number of barbs per arrow */

/* angle between arrow barbs and shaft.  increase this value to make
 the arrowheads more "blunt".  decrease it to make them more pointy. */
#define RMV_DEFAULT_ARROWHEAD_HALF_ANGLE 15.0

/* length of projection of arrowhead along the shaft.  increasing it
 to 1.0 will cause the arrowhead to become larger. decreasing it to
 zero will cause it to become smaller. */
#define RMV_DEFAULT_ARROWHEAD_PROJECTION_LENGTH 0.2

#define RMV_MAX_CONE_SIDES 12		/* max number of cone sides. */
#define RMV_DEFAULT_CONE_NSIDES 6	/* default number of cone sides */
/* half-angle formed at the apex of a cone.  increase this value to make
 the cones more "blunt".  decrease it to make them more pointy. */
#define RMV_DEFAULT_CONE_HALF_ANGLE 12.5



#endif /* _rmdefs_h */
/* EOF */
